POST /key_press_flows

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/key_press_flows

Create Key Press Flow.

Creates a Key Press Flow that ties a specific IVR key press to a key press flow group, along with token and call control action assignments.

Params

Param name Description
key_press_flow_group_id
Optional Blank value allowed

Key Press Flow Group

  • Must be a String

key_press
Optional Blank value allowed

The key that runs this flow: 0-9, *, #, or any to match any other key the caller presses.

  • Must be a String

description
Optional Blank value allowed

Description

  • Must be a String

continue_call_routing
Optional Blank value allowed

When enabled, pressing this key while connected to an external agent hangs up the current buyer legs and searches for the next matching call flow to connect the lead to a real buyer, instead of running call_disposition_id and call_control_action_ids.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

call_disposition_id
Optional Blank value allowed

The disposition applied to the call when this key is pressed, instead of ending the call routing search.

call_control_action_ids
Optional Blank value allowed

The actions to run when this key is pressed, instead of ending the call routing search.

buyer_conference_time_elapsed_seconds_limit
Optional Blank value allowed

Only allows this key press once the buyer has been connected for at least this many seconds.

  • Must be a decimal number.

token_value_ids
Optional Blank value allowed

Only uses this Key Press Flow for calls matching these token values.

attribution_token_value_ids
Optional Blank value allowed

When this Key Press Flow’s actions run, the call will be tagged with these token values.

record_token_filter_list
Optional Blank value allowed

Assign filters to the object by passing an array of key:value pairs

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"
record_token_additional_list
Optional Blank value allowed

Assign additional tokens that will be applied to leads and calls by passing a comma separated string of key:value pairs.

  • Must be a valid list of tokens. Example tokens:
    buyer_interest:loan,another_token:value